EDIT - bug #9838

Loading of details of categorical and quantitative data takes very long
11/01/2021 01:06 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.28

Severity: normal Found in Version:

Description

The loading of the details view of categorical data or quantitative data takes really long and the loaded objects in default cache (term
cache) increases extremely (up to 9000-10000)

Related issues:
Related to EDIT - bug #8243: Cdm Cache uses a lot of disk space Resolved

Associated revisions

Revision aae4cb3d - 10/28/2021 10:41 AM - Katja Luther

fix term caching for term type and avoid doubled call of populate terms

Revision d7ad25d9 - 11/02/2021 10:20 AM - Katja Luther

ref #9838: change order of ui element creation and setting entity in collection elements

Revision be9359f3 - 11/02/2021 02:32 PM - Katja Luther

ref #9838: change order of ui element creation and setting entity in collection elements - continue

History

#1 - 11/01/2021 01:09 PM - Katja Luther

The long time loading was produced by a mistake in term manager.

The extreme number of loaded objects is caused by the initialization of the state combo box with term type state. This should be filled only with the
used states.

#2 - 11/02/2021 09:06 AM - Andreas Mdller

- Target version changed from Unassigned CDM tickets to Release 5.28

This is at least partly handled in 5.28 as far as | can see. If needed can we split ticket?

How far is it solved?

#3 - 11/02/2021 10:02 AM - Andreas Miiller

- Description updated

#4 - 11/02/2021 10:22 AM - Katja Luther

- Status changed from New to Resolved

Katja Luther wrote:
The long time loading was produced by a mistake in term manager.

The extreme number of loaded objects is caused by the initialization of the state combo box with term type state. This should be filled only with
the used states.

Now the entity is set during initialization before the elements are created, this avoids the creation of a combo box with all available states.

#5 - 11/02/2021 11:15 AM - Andreas Miiller
- Related to feature request #9841: Possibility to open only a taxonomic subtree of a matrix added

#6 - 11/02/2021 11:15 AM - Andreas Miiller

- Related to deleted (feature request #9841: Possibility to open only a taxonomic subtree of a matrix)

#7 - 11/02/2021 11:16 AM - Andreas Miiller
- Related to bug #8243: Cdm Cache uses a lot of disk space added

#8 - 11/02/2021 11:39 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Tested all collection elements in nightly and could not find any problems. Please have another look and review.

#9 - 11/03/2021 12:25 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

| think we can close this ticket.

Loading categorical data facts is much faster now and only a view objects are loaded to the default cache.

#10 - 11/03/2021 12:25 PM - Andreas Miiller

- Assignee changed from Andreas Miller to Katja Luther
